Package fr.gouv.vitam.common.database.server.elasticsearch

# Class ElasticsearchIndexAlias

java.lang.Object
fr.gouv.vitam.common.database.server.elasticsearch.ElasticsearchIndexAlias

public class ElasticsearchIndexAlias extends Object
Represents an elasticsearch index or index alias

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ElasticsearchIndexAlias`
  `createUniqueIndexName()`
  `String`
  `getName()`
  `boolean`
  `isValidAliasOfIndex(ElasticsearchIndexAlias indexName)`
  `static ElasticsearchIndexAlias`
  `ofCrossTenantCollection(String collectionName)`
  Builder for collection that store documents of all tenants in same index (functional admin collections)
  `static ElasticsearchIndexAlias`
  `ofFullIndexName(String fullIndexName)`
  Stored for building indexes with exact full name (eg.
  `static ElasticsearchIndexAlias`
  `ofMultiTenantCollection(String collectionName, int tenantId)`
  Builder for collection that store documents per-tenant indexes (unit/objectgroup/logbookoperation collections when tenant is not in a tenant group)
  `static ElasticsearchIndexAlias`
  `ofMultiTenantCollection(String collectionName, String tenantGroupName)`
  Builder for collection that store documents per-tenant-group indexes (unit/objectgroup/logbookoperation collections when tenant is in a tenant group)
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### ofCrossTenantCollection

    public static ElasticsearchIndexAlias ofCrossTenantCollection(String collectionName)
    Builder for collection that store documents of all tenants in same index (functional admin collections)

  - ### ofMultiTenantCollection

    public static ElasticsearchIndexAlias ofMultiTenantCollection(String collectionName, int tenantId)
    Builder for collection that store documents per-tenant indexes (unit/objectgroup/logbookoperation collections when tenant is not in a tenant group)

  - ### ofMultiTenantCollection

    public static ElasticsearchIndexAlias ofMultiTenantCollection(String collectionName, String tenantGroupName)
    Builder for collection that store documents per-tenant-group indexes (unit/objectgroup/logbookoperation collections when tenant is in a tenant group)

  - ### ofFullIndexName

    public static ElasticsearchIndexAlias ofFullIndexName(String fullIndexName)
    Stored for building indexes with exact full name (eg. index creation / alias switching)

  - ### getName

    public String getName()

  - ### isValidAliasOfIndex

    public boolean isValidAliasOfIndex(ElasticsearchIndexAlias indexName)

  - ### createUniqueIndexName

    public ElasticsearchIndexAlias createUniqueIndexName()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`